#include <bits/stdc++.h>
using namespace std;

int main(){
    string x, y;
    cin >> x >> y;
    vector<char> s;

    if(x.size() == y.size()){
        for(int i = 0; i < x.size(); i++){
            if(x[i] > y[i]){
                s.push_back(x[i]);
            }
            else{
                s.push_back(y[i]);
            }
        }
    }


    for(int i = 0; i < s.size(); i++){
        cout << s[i];
    }
}